Name: spacewalk-ssl-cert-check
Summary: Check ssl certs for impending expiration
Group:   Applications/System
License: GPLv2
URL:     https://github.com/spacewalkproject/spacewalk
Source0: https://github.com/spacewalkproject/spacewalk/archive/%{name}-%{version}.tar.gz
Source1: %{name}-rpmlintrc
Version: 2.4.1.3
Release: 1%{?dist}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Obsoletes: rhn-ssl-cert-check < %{version}
Provides:  rhn-ssl-cert-check = %{version}
Requires:  python-cryptography
Requires:  python-setuptools
Requires:  cron

%description
Runs a check once a day to see if the ssl certificates installed on this
server are expected to expire in the next 30 days, and if so, send a
notification

%prep
%setup -q

%build
# Nothing to do

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/cron.daily
install -d $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man8/

install -m755 cron.ssl-cert-check $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/suse.de-ssl-cert-check
install -m644 sysconfig.ssl-cert-check $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/rhn/ssl-cert-check
install -m755 ssl-cert-check $RPM_BUILD_ROOT/%{_bindir}/ssl-cert-check
install -m644 ssl-cert-check.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/sysconfig/rhn
%attr(0755,root,root) %{_sysconfdir}/cron.daily/suse.de-ssl-cert-check
%attr(0755,root,root) %{_bindir}/ssl-cert-check
%{_mandir}/man8/ssl-cert-check.*
%config %{_sysconfdir}/sysconfig/rhn/ssl-cert-check
%doc LICENSE

%changelog
* Mon Jan 12 2015 Matej Kollar <mkollar@redhat.com> 2.4-1
- Getting rid of Tabs and trailing spaces in LICENSE, COPYING, and README files
- Purging %%changelog entries preceding Spacewalk 1.0, in active packages.

* Tue Oct 30 2012 Jan Pazdziora 2.3-1
- Update the copyright year.

* Thu Jun 07 2012 Jan Pazdziora 2.2-1
- 788972 - for multiple recipient email addresses, join them with comma.
- %%defattr is not needed since rpm 4.4

* Tue Nov 02 2010 Jan Pazdziora 2.1-1
- Update copyright years in the rest of the repo.

* Tue May 04 2010 Jan Pazdziora 2.0-1
- 461270 - replace our own ssl-cert-check with stock certwatch.
